Package ru.bitel.bgbilling.plugins.cashcheck.server.bean

# Class AutoprintProcessor

java.lang.Object
ru.bitel.bgbilling.plugins.cashcheck.server.bean.AutoprintProcessor

public class AutoprintProcessor extends Object
Обработка нового платежа - проверка, отправка на автоплатёж итд. Настройки: pt.16.fr=2 pt.16.print=auto <- здесь обрабатывается именно режим печати только "auto" или "delay" указанный. pt.16.pass=30 Ошибки логируются и шлются алармы централизованно, наружу не прокидываются. Также здесь метод для обработки повторной ошибочных/"новых" платежей из лога. Там немного другие проверки, процедура и алармы. Также здесь метод для печати ошибочных/"новых" платежей из лога "как есть" (только по сохранённому содержимому).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AutoprintProcessor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `processErroredAsIsPayment(Payment ccpayment, Setup setup, Connection con, Connection conSlave)`
  Обработка платежа, который ранее был напечатан с ошибкой.
  `static void`
  `processErroredPayment(Payment bgpayment, int logId, Setup setup, Connection con, Connection conSlave)`
  Обработка платежа, который ранее был напечатан с ошибкой.
  `static void`
  `processNewPayment(PrinterManager.PaymentPrintMode printMode, Payment bgpayment, Setup setup, Connection con, Connection conSlave)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AutoprintProcessor

    public AutoprintProcessor()

- ## Method Details

  - ### processNewPayment

    public static void processNewPayment(PrinterManager.PaymentPrintMode printMode, Payment bgpayment, Setup setup, Connection con, Connection conSlave)

  - ### processErroredPayment

    public static void processErroredPayment(Payment bgpayment, int logId, Setup setup, Connection con, Connection conSlave)
    Обработка платежа, который ранее был напечатан с ошибкой. Процедура и логи чуть отличаются от processNewPayment. Подразумевается что для auto и delay тоже (manual в логи с ошибкой не попадают). В остальном эмулируется как будто с нуля печатается биллинговский Payment. Подразумевается что из лога приходит именно PAYMENT чек а не какой-то хитрый самодельный (такие надо печатать например "как есть") Сюда передаётся и log_id, для того чтобы тут вытащить и проверить чо как, написать прошлую ошибку итд.

  - ### processErroredAsIsPayment

    public static void processErroredAsIsPayment(Payment ccpayment, Setup setup, Connection con, Connection conSlave)
    Обработка платежа, который ранее был напечатан с ошибкой. Используется не дин.код, а сохранённое содержимое чека. Приходить может любой, в том числе хитрый самодельный. Передаётся не эмулированный bgpayment как в методах выше (его может вообще не быть), а запись лога - кешчековский паймент. Используется и log_id, чтобы написать прошлую ошибку, обновить статус в той же записи итд.